Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.http.converter
Class HttpMessageConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.http.converter.HttpMessageConversionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HttpMessageNotReadableException, HttpMessageNotWritableException

    public class HttpMessageConversionException

extends NestedRuntimeException

Thrown by `HttpMessageConverter` implementations when the conversion fails.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

Constructor Summary
`HttpMessageConversionException(String msg)` Create a new HttpMessageConversionException.
`HttpMessageConversionException(String msg, Throwable cause)` Create a new HttpMessageConversionException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpMessageConversionException

    public HttpMessageConversionException(String msg)

  Create a new HttpMessageConversionException.

  Parameters:
    `msg` - the detail message

### HttpMessageConversionException

    public HttpMessageConversionException(String msg,
                                          Throwable cause)

  Create a new HttpMessageConversionException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause (if any)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD